2019-08-26 08:01 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000123mercuryBugpublic2010-01-12 14:12
Reportermva 
Assigned Towangp 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000123: typeclass instance clause type mix.
DescriptionIn a typeclass instance, when the clause of a predicate is defined
directly in the instance, qualifying certain types result in the compiler mixing up types.

See the attached example, where simply adding :_ to a type makes the compiler
complain about wrong typing;
while doing the same but with the predicate defined outside the instance (via pred(...) is) works perfectly fine.
TagsNo tags attached.
Attached Files
  • ? file icon test1.m (640 bytes) 2009-12-18 20:25

-Relationships
+Relationships

-Notes

~0000242

wangp (developer)

fix committed 2010-01-12
+Notes

-Issue History
Date Modified Username Field Change
2009-12-18 20:25 mva New Issue
2009-12-18 20:25 mva File Added: test1.m
2010-01-12 14:12 wangp Note Added: 0000242
2010-01-12 14:12 wangp Status new => resolved
2010-01-12 14:12 wangp Resolution open => fixed
2010-01-12 14:12 wangp Assigned To => wangp
+Issue History